# EGLStream connection state methods.

## Functions

virtual CONSUMER_STATUS | CameraEGLStreamConsumer::connect (EGLDisplay eglDisplay, EGLStreamKHR eglStream)=0
| Connects the Consumer to an EGLStream.
virtual void | CameraEGLStreamConsumer::disconnect ()=0
| Disconnects the consumer from the EGLStream.
virtual void | CameraEGLStreamConsumer::destroy ()=0
| Destroy the Consumer object.

## Function Documentation

virtual CONSUMER_STATUS CameraEGLStreamConsumer::connect | ( | EGLDisplay | eglDisplay,
|  | EGLStreamKHR | eglStream |
| ) |  |  | `[pure virtual, inherited]`

Connects the Consumer to an EGLStream.

Parameters:

  `[in]` | eglDisplay | The EGLDisplay the stream belongs to.
  `[in]` | eglStream | The EGLStream to connect the consumer to.

Returns:
  Success/error code of the call.

virtual void CameraEGLStreamConsumer::destroy | ( |  | ) | `[pure virtual, inherited]`

Destroy the Consumer object.

Destroying a Consumer will implicitly disconnect the stream and release any pending or acquired frames, invalidating any currently acquired dmabuf Fd.

virtual void CameraEGLStreamConsumer::disconnect | ( |  | ) | `[pure virtual, inherited]`

Disconnects the consumer from the EGLStream.

This will notify the producer endpoint of the disconnect and will prevent new frames from being presented to the stream by the producer. It will also prevent new frames from being acquired, but any currently acquired frames will still remain valid until released or until the consumer is destroyed.